<!DOCTYPE HTML>
<html>
<!--
https://bugzilla.mozilla.org/show_bug.cgi?id=458898
-->
<head>
  <title>Test for Bug 458898</title>
  <script type="text/javascript" src="/MochiKit/MochiKit.js"></script>
  <script type="text/javascript" src="/tests/SimpleTest/SimpleTest.js"></script>
  <link rel="stylesheet" type="text/css" href="/tests/SimpleTest/test.css" />
  <script type="application/javascript" src="/tests/SimpleTest/EventUtils.js"></script>
</head>
<body>
<a target="_blank" href="https://bugzilla.mozilla.org/show_bug.cgi?id=458898">Mozilla Bug 458898</a>
<p id="display"></p>
<div id="content" style="display: none">
</div>
<pre id="test">
<script class="testbody" type="text/javascript">

SimpleTest.waitForExplicitFinish();
netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
var win = window.openDialog("data:text/html,<div style='height:200px; width:100px;'>");

// doesn't succeed on SeaMonkey currently, see bug 469331
// mark it todo there instead
var testfunc = (navigator.userAgent.match(/ SeaMonkey\//)) ? todo : ok;

function loaded() {
  win.sizeToContent();
  testfunc(win.innerWidth >= 100, "innerWidth");
  testfunc(win.innerHeight >= 200, "innerHeight");
  win.close();
  SimpleTest.finish();
}

win.addEventListener("load", loaded, false);

</script>
</pre>
</body>
</html>
